%global module jellyfish
# Share doc between python-jellyfish and python3-jellyfish
%global _docdir_fmt %{name}

Name:           python-%{module}
Version:        0.8.2
Release:        %mkrel 1
Summary:        A python library for doing approximate and phonetic matching of strings
Group:          Development/Python
License:        BSD
URL:            https://github.com/jamesturk/jellyfish
Source0:        https://github.com/jamesturk/%{module}/archive/%{version}/%{module}-%{version}.tar.gz
# git repo is here https://github.com/jamesturk/jellyfish-testdata.git
# tgz created with: git archive HEAD -o jellyfish-testdata-20160204.tgz
Source1:        jellyfish-testdata-20160204.tgz
# We do not use the C binding so we just install everything in site_lib
Patch0:         fix-build.patch
# The following two patches are needed because we do not ship any C implementation so we manually
# disable the tests that check for this C version
Patch1:         test-only-python-implementation.diff
Patch2:         nocimplementation-fix-0.8.2.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description
Jellyfish does approximate and phonetic string matching. It
includes the following string comparison algorithms:
Levenshtein Distance, Damerau-Levenshtein Distance,
Jaro Distance, Jaro-Winkler Distance, Match Rating Approach
Comparison and Hamming Distance

And the following phonetic encodings:
American Soundex, Metaphone, NYSIIS (New York State Identification
and Intelligence System), Match Rating Codex.

%package -n python3-%{module}
Summary:        A python library for doing approximate and phonetic matching of strings
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Jellyfish does approximate and phonetic string matching. It
includes the following string comparison algorithms:
Levenshtein Distance, Damerau-Levenshtein Distance, 
Jaro Distance, Jaro-Winkler Distance, Match Rating Approach
Comparison and Hamming Distance

And the following phonetic encodings:
American Soundex, Metaphone, NYSIIS (New York State Identification
and Intelligence System), Match Rating Codex

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .test
tar xf %{SOURCE1} -C testdata

%build
%py3_build

%install
%py3_install

%check
# testdata is here: https://github.com/jamesturk/jellyfish-testdata.git
PYTHONPATH=. pytest-3 jellyfish/test.py

%files -n python3-%{module}
%license LICENSE
%doc README.rst docs/comparison.rst docs/index.rst docs/phonetic.rst
%doc docs/stemming.rst docs/changelog.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}*.egg-info


%changelog
* Thu Jan 07 2021 daviddavid <daviddavid> 0.8.2-1.mga8
+ Revision: 1669377
- initial package python-jellyfish

